package com.schisandra.oss.infra.basic.service;

import com.schisandra.oss.infra.basic.entity.SchisandraOssAli;


/**
 *  表服务接口
 *
 * @author landaiqing
 * @since 2024-05-14 20:45:32
 */
public interface SchisandraOssAliService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraOssAli queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraOssAli 实例对象
     * @return 实例对象
     */
    int insert(SchisandraOssAli schisandraOssAli);

    /**
     * 修改数据
     *
     * @param schisandraOssAli 实例对象
     * @return 实例对象
     */
    int update(SchisandraOssAli schisandraOssAli);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


    SchisandraOssAli getAliOssConfig(Long userId);
}
